#!/usr/bin/perl

# istxp.pl script
# (c) eax 2009 | http://eax.me/

use strict;

my $dn = shift;

print "Invalid domain name\n" and exit 1 unless($dn =~ /^[a-z0-9\.\-]+$/);

my $data = `wget -q $dn -O -`;

print "Download failed: $?\n" and exit 2 if($?);

my $cnt = 0;

$cnt ++     if($data =~ /UTF\-8/gi);
$cnt ++     if($data =~ /TextPattern/gi);
$cnt ++     if($data =~ /http\:\/\/textpattern\.com/gi);
$cnt ++     if($data =~ /\/category\//gi);
$cnt ++     if($data =~ /css\.php/);
$cnt += 0.5 if($data =~ /\/rss\//);
$cnt += 0.5 if($data =~ /\/atom\//);

$cnt = int $cnt * 100 / 6;

print "TextPattern:$cnt\n";
exit 0;
