#!/usr/bin/perl

# isdrupal.pl script
# (c) eax 2009 | http://eax.me/

use strict;

my $dn = shift;

print "Invalid domain name\n" and exit 1 unless($dn =~ /^[a-z0-9\.\-]+$/);

my $data = `wget -q $dn -O -`;

print "Download failed: $?\n" and exit 2 if($?);

my $cnt = 0;

$cnt ++ if($data =~ /UTF\-8/gi);
$cnt ++ if($data =~ /Drupal\.settings/gi);
$cnt ++ if($data =~ /jQuery\.extend/gi);
$cnt ++ if($data =~ /Drupal/gi);
$cnt ++ if($data =~ /media\=\"all\" href\=\"\/sites\//gi);
$cnt ++ if($data =~ /media\=\"all\" href\=\"\/[^"]*files\/css\//gi);
$cnt ++ if($data =~ /\<a href\=\"\/node\/\d+/gi);
$cnt ++ if($data =~ /\<a href\=\"\/taxonomy\/term\/\d+/gi);
$cnt ++ if($data =~ /buytaert\.net/gi);

$cnt = int $cnt * 100 / 9;

print "Drupal:$cnt\n";
exit 0;
